## libicd-network-usb 0.3

=== debian/changelog ===
libicd-network-usb (0.3) unstable; urgency=low

  * Fix one more leftover autoconf dependency

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 19 Feb 2010 09:36:41 +0200

libicd-network-usb (0.2) unstable; urgency=low

  * Fixed leftover dependency preventing build discovered by
    thresh[at]altlinux.ru.

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 17 Feb 2010 13:09:32 +0200

libicd-network-usb (0.1) unstable; urgency=low

  * USB network module based on dummy network module

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 11 Dec 2010 11:26:00 +0200
